const http = require('http');

const WebSocket = require('ws');
const wss = new WebSocket.Server({ port: 8080 });
wss.on('connection', function connection(ws) {
  console.log("WebSockets started on port 8080...");

  ws.on('message', function(message) {
    console.log('WebSockets server received: %s', message);

    // if client send server "hello"
    if ( message === "hello" ) {
      // server will send "world" back to client
      ws.send("world");
    }
  });
});

const hostname = '127.0.0.1';
const port = 3000;

const server = http.createServer((req, res) => {
  res.statusCode = 200;
  res.setHeader('Content-Type', 'text/plain');
  res.end('Hello World\n');
});

server.listen(port, hostname, () => {
  console.log(`Server running at http://${hostname}:${port}/`);
});